library(shiny)


# Define UI for dataset viewer application
shinyUI(pageWithSidebar(
    custHeaderPanel("ReportingTools", 
                  js = list.files(system.file("extdata/jslib", package="ReportingTools"),
                                 full.names=TRUE),
                  css = list.files(system.file("extdata/csslib", package="ReportingTools"),
                    pattern="bootstrap.css", full.names=TRUE),
                  ),
 
   #### #### #### ####                
 ####here and below are shiny specific commands:
  # Sidebar with controls to provide a caption, select a dataset, and 
  # specify the number of observations to view. Note that changes made
  # to the caption in the textInput control are updated in the output
  # area immediately as you type
    sidebarPanel(
                 selectInput("dataset", "Choose a dataset:", 
                             choices = c("rock", "pressure", "cars")),
                 selectInput("modifyFunction", "Choose a modification function:", 
                             choices = c("raw data", "normalize", "subtract median"))
                 ),
  
  
  # Show the caption, a summary of the dataset and an HTML table with
  # the requested number of observations
     mainPanel(
               verbatimTextOutput("summary"), 
               htmlOutput("view2")
               )
                        ))
